> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/fleet-intel/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/fleet-intel/_mcp/server.

# Get a notification preference by id

GET /v1/notification_preferences/{id}

Reference: https://docs.nvidia.com/fleet-intel/fleet-intel/api-explorer/notification-preferences/get-v-1-notification-preference-by-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: fleet-intelligence
  version: 1.0.0
paths:
  /v1/notification_preferences/{id}:
    get:
      operationId: getV1NotificationPreferenceByID
      summary: Get a notification preference by id
      tags:
        - notification_preferences
      parameters:
        - name: id
          in: path
          description: Preference id (UUID)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The notification preference
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.NotificationPreferenceDetail'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '403':
          description: Forbidden - UAM authorization denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '404':
          description: Not Found - No preference with this id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '499':
          description: Client Closed Request - request was canceled by the client
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
        '503':
          description: Service Unavailable - Database temporarily unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
components:
  schemas:
    models.Audience:
      type: string
      enum:
        - default
        - external_cloud_provider
        - forbidden
      title: models.Audience
    models.NotificationChannel:
      type: string
      enum:
        - email
        - slack
        - webhook
      description: 'Channel type: email, slack, or webhook'
      title: models.NotificationChannel
    models.NotificationTarget:
      type: object
      properties:
        channel:
          $ref: '#/components/schemas/models.NotificationChannel'
        config:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            Channel-specific configuration (see EmailNotificationConfig,
            SlackNotificationConfig, WebhookNotificationConfig)
      required:
        - channel
        - config
      title: models.NotificationTarget
    models.NotificationScopeType:
      type: string
      enum:
        - all
        - compute_zones
        - node_groups
        - tags
        - nodes
      description: 'Scope type: all, nodes, node_groups, compute_zones, or tags'
      title: models.NotificationScopeType
    models.NotificationScopeResponse:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/models.NotificationScopeType'
        values:
          type: object
          additionalProperties:
            type: string
      title: models.NotificationScopeResponse
    models.NotificationPreferenceDetail:
      type: object
      properties:
        active:
          type: boolean
        audience:
          $ref: '#/components/schemas/models.Audience'
        component:
          type: string
        componentDisplayName:
          type: string
        componentDisplayNames:
          type: object
          additionalProperties:
            type: string
        components:
          type: array
          items:
            type: string
        id:
          type: string
        notificationTargets:
          type: array
          items:
            $ref: '#/components/schemas/models.NotificationTarget'
        notifiedOn:
          type: array
          items:
            type: string
        scope:
          $ref: '#/components/schemas/models.NotificationScopeResponse'
      title: models.NotificationPreferenceDetail
    models.KASRequestStatus:
      type: object
      properties:
        requestId:
          type: string
          description: Request ID for tracing
        statusCode:
          type: string
          description: Status code from KAS
        statusDescription:
          type: string
          description: Status description from KAS
      description: >-
        RequestStatus contains KAS-specific error details

        This is added to reflect the field in OpenAPI docs for UI reference and
        not populated by our code

        If KAS returns an error, the request will not be forwarded to the
        backend
      title: models.KASRequestStatus
    models.ErrorResponse:
      type: object
      properties:
        details:
          type: string
          description: Detailed error information
        error:
          type: string
          description: Error message or type
        requestStatus:
          $ref: '#/components/schemas/models.KASRequestStatus'
      description: >-
        Standard error response returned by all API endpoints. For KAS API
        errors, requestStatus fields are populated.
      title: models.ErrorResponse

```

## Examples



**Response**

```json
{
  "active": true,
  "audience": "default",
  "component": "GPU",
  "componentDisplayName": "Memory",
  "componentDisplayNames": {},
  "components": [
    "GPU",
    "NVLink"
  ],
  "id": "6f1c2d3e-4a5b-6c7d-8e9f-0a1b2c3d4e5f",
  "notificationTargets": [
    {
      "channel": "email",
      "config": {}
    }
  ],
  "notifiedOn": [
    "Critical",
    "Warning",
    "Resolved"
  ],
  "scope": {
    "type": "node_groups",
    "values": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/v1/notification_preferences/id"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/v1/notification_preferences/id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/v1/notification_preferences/id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/v1/notification_preferences/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/v1/notification_preferences/id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/v1/notification_preferences/id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/v1/notification_preferences/id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/v1/notification_preferences/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```